{ withSystem, inputs, ... }:
{
  perSystem =
    { config, pkgs, ... }:
    {
      devshells.rust = {
        env = [
          {
            name = "RUSTC_WRAPPER";
            value = "${pkgs.sccache}/bin/sccache";
          }
        ];
        commands = [
          # {
          #   help = "print hello";
          #   name = "hello";
          #   command = "echo hello";
          # }
        ];
        packages = with pkgs; [
          # Rust toolchain
          clang
          rustup
          # Faster builds
          sccache
        ];
      };
    };
}
